> ## Documentation Index
> Fetch the complete documentation index at: https://docs.grailpay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update business kyb

`POST https://api-sandbox.grailpay.com/3p/api/v1/user/kyb/{uuid}`

## Path Params

<ParamField path="uuid" type="string" required>
  Register business user identifier
</ParamField>

## Body Params

<ParamField body="business" type="object">
  <Expandable title="BUSINESS OBJECT">
    <ParamField body="name" type="string" required placeholder="Jack Inc." />

    <ParamField body="tin" type="string" required placeholder="961862955">
      must consist of 9 digits without any special characters
    </ParamField>
  </Expandable>
</ParamField>

<ParamField body="address" type="object">
  <Expandable title="ADDRESS OBJECT">
    <ParamField body="line_1" type="string" required placeholder="20 Elmora Ave" />

    <ParamField body="line_2" type="string" />

    <ParamField body="city" type="string" required placeholder="Elizabeth" />

    <ParamField body="state" type="string" required placeholder="NJ" />

    <ParamField body="zip" type="string" required placeholder="07202">
      must consist of 5 digits without any special characters
    </ParamField>
  </Expandable>
</ParamField>

## Responses

### 200

<ResponseField name="Response Body" type="object">
  <ResponseField name="status" type="boolean" default={true} />

  <ResponseField name="message" type="string" />

  <ResponseField name="data" type="array" />

  <ResponseField name="errors" type="array" />
</ResponseField>

<RequestExample>
  ```bash CURL REQUEST theme={"system"}
  curl --request POST \
       --url https://api-sandbox.grailpay.com/3p/api/v1/user/kyb/uuid \
       --header 'accept: application/json' \
       --header 'content-type: application/json'
  ```

  ```bash HTTTPIE REQUEST theme={"system"}
  brew install httpie
  http POST https://api-sandbox.grailpay.com/3p/api/v1/user/kyb/uuid \
    accept:application/json \
    content-type:application/json
  ```
</RequestExample>

<ResponseExample>
  ```json 200-Result theme={"system"}
  {
    "status": true,
    "message": "The business KYB has been updated",
    "data": [],
    "errors": []
  }
  ```
</ResponseExample>
